# ChromaEffectsImporter
This is a small project that imports a RazerSynapse-3 Choma Studio Savefile, and extracts its colorscheme.

## Usage

To import your own keyboard colorscheme:
1. Go to the Razer Synapse Chroma Studio
2. Make/Load a profile that has at lease one Static layer (this project ignores other effects for now).
3. Choose Export > Make sure only the current profile is checked > Export > choose a save location.
4. Then navigate to the saved file.
5. Change the name to \<whatever\>.zip
6. Extract the zipfile, and rename the extracted file to ChromaEffects.xml
7. Copy this new file to this project in the folder \ChromaEffectsImporter\Resources
8. Run the project.

Implement this in your own project by creating an instance of `ColoreOutput` parsing a ChromaEffects xml file, and then calling `myInstance.Start();`

If you have any questions please open an issue.

## Remarks

If Visual Studio throws namespace/package errors, just build the project(not the entire solution) a few times, and NuGet should download them.